Paysera for Prestashop 1.7
==========================

Version: 2.2.2

Date: 2024-02-19

Contributors: Paysera

Tags: online payment, payment, payment gateway, SMS payments, international payments, mobile payment, sms pay, payment by sms, billing system, payment institution, macro payments, micro payments, sms bank

Requires at least: 1.7.0

Tested up to: 8.1.3

Stable tag: 2.2.2

Requires PHP: 5.6.0

License: GPLv3

License URL: http://www.gnu.org/licenses/gpl-3.0.html

Description
-----------

Collecting payments with Paysera is simple, fast and secure. It is enough to open Paysera account, install the plug-in
to your store, and you will be able to use all the most popular ways of payment collection in one place.
No need for complicated programming or integration work. With Paysera you will receive real time notifications
about successful transactions in your online store, and the money will reach you sooner. No monthly, registration
or connection fee.

It is simple to use and administer payment collection, and you can monitor movement of funds in your smartphone.
Client services and consultation takes place 7 days a week, from 8:00 till 20:00 (EET)
Payments are made in real time.

Paysera applies the lowest fees on the market, and payments from foreign banks and systems are converted
at best possible rates.

To use Paysera payment gateway, register at paysera.com and create your project. To apply for Paysera go to this link:
https://bank.paysera.com/en/registration#/registration. Our extension, your account and support is free.
Only for selling a transaction fee is charged. For further information regarding the Paysera fees please visit:
https://www.paysera.com/v2/en-GB/fees.

== Benefits and possibilities of using Paysera checkout ==

 - Plenty of payment methods. Payments via more than 10 000 local and foreign banks, and with Visa, MasterCard,
 Maestro cards. Payments via international payments systems, in cash and directly via Paysera.
 - Plenty of countries and currencies. Service your clients from all over the world. Paysera operates in 184
 countries and supports more than 30 currencies. The payment window is translated to 18 languages. Let your clients
 pay you conveniently and provide information the language they can understand.
 - Convenient administration. It is easy to manage one or several e-payment projects, as the account can be accessed
 at any time of the day and from anywhere by logging in to Paysera e-payments system.
 - Perhaps the lowest price on the market. Save money with Paysera Checkout. Our prices are among the best on the
 market, and we apply very favorable currency exchanges rates when executing transfers from foreign banks and systems.
 - Real-time notifications. Receive information about a successful payment immediately and issue purchases to
 clients faster. Be informed about a payment error instantly and return money with a click of a button.
 - All income to one account. It is easy to monitor and manage income when you do not have many accounts in
 different banks. Income is collected to one Paysera account, which makes it even easier to see
 the detailed statistics and form reports.
 - Safe payments online. Place the special sign "Safe payment online" and let your clients know that it is safe
 to purchase goods or services on your website, as you are using Paysera solution for safe payments.
 - Leasing services. Provide your clients with the possibility of hire purchase. Along with payment methods, offer
 leasing services provided by General Financing and MokiLizingas.

 Send encrypted functionality is supported from PHP 7.1, in order to use plugin in full capability you need to use the latest version of CMS and PHP.

 Client services and consultation takes place 7 days a week, from 8:00 till 20:00 (EET).

 The latest Paysera payment plugins for PrestaShop you could find here: https://support.paysera.com/index.php?/payseraeng/Knowledgebase/Article/View/93/37/prestashop

Installation
------------

-= Installation by FTP =-

1. Download Paysera plugin zip.

2. Connect to server and go to Prestashop base directory.

3. Go to modules directory: /modules

4. Extract files and directories from zip file to newly created 'paysera' folder.
   In result, you will see: /modules/paysera

5. Install Paysera plugin to Prestashop:
   Modules -> Module Catalog -> Search for 'Paysera' -> Install -> Configure

6. Configure the plugin - enter project id and password from Paysera project settings.

7. Save changes.

-= Installation from admin panel (zip file) =-

1. Download Paysera plugin zip.

2. Connect to Prestashop admin panel.

3. Install Paysera plugin to Prestashop:
   Modules -> Module Manager -> Upload a module -> Select file -> Configure

4. Configure the plugin - enter project id and password from Paysera project settings.

5. Save changes.

Changelog
---------
= 2.2.2 =

* Fix - Backoffice sidebar menu icon disappearance on some pages
* Fix - Description is not visible when list of payments is disabled
* Fix - Payment list is not visible in some PrestaShop versions when only Paysera payment is enabled
* Update - HTML meta tag is generated if ownership code is not empty

= 2.2.1 =

* Update - Pass extra information to payment request

= 2.2.0 =

* Fix - Duplicate order status fixed
* Fix - Quipu payment method list fixed
* Fix - toggle button double click issue in configuration
* Fix - Order status changed doesn't work correctly fixed
* Update - Allow numeric only project id
* Update - Added plugin information on payment request
* Update - Enabled list of payments to be visible by default

= 2.1.3 =

* Update - Callback validation fixed

= 2.1.2 =

* Update - Logo update

= 2.1.1 =

* Fix - Installation fixPHP

= 2.1.0 =

* Fix - Translations fix

= 2.0.9 =

* Update - Translations update
* Update - Code style
* Fix - Payment display fix
* Update - New payment parameter usage

= 2.0.8 =

* Update - Code style

= 2.0.7 =

* Update - Code style
* Update - Updated WebToPay library to the latest

= 2.0.6 =

* Update - Added missing translations

= 2.0.5 =

* Update - Thank you page logic improvement
* Update - Added checkout page multi-language functionality

= 2.0.4 =

* Update - Header hook improvement
* Update - Updated WebToPay library to the latest

= 2.0.3 =

* Fix - Total order amount rounding
* Update - Callback logic improvement
* Update - Change Paysera method image

= 2.0.2 =

* Update - On accepturl status change update
* Update - Added pointer on payment method hover
* Update - modification for lower PHP versions

= 2.0.1 =

* Fix - fixed "Can't use function return value in write context"

= 2.0.0 =

* Update - Refactored checkout page
* Update - Updated redirect pages
* Update - Updated redirect links
* Update - Compatability from 1.7.0 added
* Update - Renewed readme info
* Feature - New features added
* Feature - New admin page with tabs created
* Feature - Added languages: LT, LV, RU, PL, ES

Support
-------

For any questions, please look for the answers at https://support.paysera.com or contact customer support center
by email  support@paysera.com or by phone +44 20 80996963 | +370 700 17217.

For technical documentation visit: https://developers.paysera.com/
